Bug 230282 - misc/ossp-uuid: pkg-config returns incorrect linker flags
Summary: misc/ossp-uuid: pkg-config returns incorrect linker flags
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vasil Dimov
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2018-08-02 01:23 UTC by Dmitri Goutnik
Modified: 2018-08-13 14:05 UTC (History)
0 users

See Also:
vd: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch file (538 bytes, patch)
2018-08-02 01:23 UTC, Dmitri Goutnik
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2018-08-02 01:23:59 UTC
Created attachment 195747 [details]
patch file

Due to the wrong library name in uuid.pc, pkg-config returns incorrect linker flags:

$ pkg-config --libs uuid
-L/usr/local/lib -luuid

The correct linker flags should be -L/usr/local/lib -lossp-uuid
Comment 1 Dmitri Goutnik freebsd_committer 2018-08-02 01:25:16 UTC
Reported by PeterNewman4 on #freebsd-ports
Comment 2 Dmitri Goutnik freebsd_committer 2018-08-02 01:33:43 UTC
And the pkg-config command above of course should be `pkg-config --libs ossp-uuid` (typo)
Comment 3 commit-hook freebsd_committer 2018-08-09 12:55:22 UTC
A commit references this bug:

Author: vd
Date: Thu Aug  9 12:55:10 UTC 2018
New revision: 476743
URL: https://svnweb.freebsd.org/changeset/ports/476743

Log:
  misc/ossp-uuid: Fix pkg-config linker flags

  PR:		ports/230282
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  MFH:		2018Q3

Changes:
  head/misc/ossp-uuid/files/patch-uuid.pc.in
Comment 4 Vasil Dimov freebsd_committer 2018-08-09 12:56:41 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2018-08-13 14:05:50 UTC
A commit references this bug:

Author: vd
Date: Mon Aug 13 14:04:49 UTC 2018
New revision: 477071
URL: https://svnweb.freebsd.org/changeset/ports/477071

Log:
  MFH: r476743

  misc/ossp-uuid: Fix pkg-config linker flags

  PR:		ports/230282
  Submitted by:	Dmitri Goutnik <dg@syrec.org>

  Approved by:	ports-secteam

Changes:
_U  branches/2018Q3/
  branches/2018Q3/misc/ossp-uuid/files/patch-uuid.pc.in